Bug 63699 - [GTK] media/media-blocked-by-willsendrequest.html fails
Summary: [GTK] media/media-blocked-by-willsendrequest.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-30 04:04 PDT by Philippe Normand
Modified: 2011-07-13 10:05 PDT (History)
1 user (show)

See Also:


Attachments
proposed patch (3.13 KB, patch)
2011-07-12 08:37 PDT, Philippe Normand
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2011-06-30 04:04:58 PDT
I think it fails because the player tries to load a file:// uri which implies using the filesrc gstreamer element. In this case the resource access is not verified at all on WebKit side.
For http uris our custom webkitwebsrc element does this check already.

I'll skip the test for now and try to work out a patch.
Comment 1 Philippe Normand 2011-07-04 23:44:18 PDT
One approach to explore would be to use webkitwebsrc for file:// uris as well.
Comment 2 Philippe Normand 2011-07-12 08:37:07 PDT
Created attachment 100490 [details]
proposed patch
Comment 3 Philippe Normand 2011-07-13 10:05:18 PDT
Committed r90927: <http://trac.webkit.org/changeset/90927>